curl --request GET \
--url http://{host}:{port}/{contextPath}/variable-instance/count \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/variable-instance/count"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/variable-instance/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Get Variable Instance Count
Query for the number of variable instances that fulfill given parameters. Takes the same parameters as the Get Variable Instances method.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by variable instance name.
Filter by the variable instance name. The parameter can include the wildcard % to
express like-strategy such as: starts with (%name), ends with (name%) or
contains (%name%).
Only include variable instances which belong to one of the passed and comma-separated process instance ids.
Only include variable instances which belong to one of the passed and comma-separated execution ids.
Only include variable instances which belong to one of the passed and comma-separated case instance ids.
Only include variable instances which belong to one of the passed and comma-separated case execution ids.
Only include variable instances which belong to one of the passed and comma-separated task ids.
Only include variable instances which belong to one of the passed and comma-separated batch ids.
Only include variable instances which belong to one of the passed and comma-separated activity instance ids.
Only include variable instances which belong to one of the passed and comma-separated tenant ids.
Only include variable instances that have the certain values. Value filtering expressions are comma-separated and are structured as follows:
A valid parameter value has the form key_operator_value.
key is the variable name, operator is the comparison operator to be used
and value the variable value.
Note: Values are always treated as String objects on server side.
Valid operator values are: eq - equal to; neq - not equal to; gt -
greater than;
gteq - greater than or equal to; lt - lower than; lteq - lower than or
equal to;
like.
key and value may not contain underscore or comma characters.
Match all variable names provided in variableValues case-insensitively. If set to true
variableName and variablename are treated as equal.
Match all variable values provided in variableValues case-insensitively. If set to
true variableValue and variablevalue are treated as equal.
Only include variable instances which belong to one of passed scope ids.
Response
Request successful.
The number of matching instances.